sensorfw: DataRange Class Reference

sensorfw

Public Member Functions | Public Attributes | List of all members
DataRange Class Reference

Datatype for storing sensor data range information. More...

`#include <datarange.h>`

Inheritance diagram for DataRange:

## Public Member Functions
| DataRange ()
| Default constructor. More...
| DataRange (const DataRange &other)
| Copy constructor. More...
| DataRange (double min, double max, double resolution)
| Constructor. More...
DataRange & | operator= (const DataRange &origin)
| Assignment operator. More...
bool | operator== (const DataRange &right) const
| Comparison operator. More...

## Public Attributes
double | min
| Range lower end. More...
double | max
| Range higher end. More...
double | resolution
| Range resolution. More...

## Detailed Description

Datatype for storing sensor data range information.

Definition at line 46 of file datarange.h.

## Constructor & Destructor Documentation

## ◆ DataRange() [1/3]

DataRange::DataRange | ( |  | ) |
| inline

Default constructor.

Definition at line 53 of file datarange.h.

## ◆ DataRange() [2/3]

DataRange::DataRange | ( | const DataRange & | other | ) |
| inline

Copy constructor.

Parameters

  other | source object.

Definition at line 60 of file datarange.h.

## ◆ DataRange() [3/3]

DataRange::DataRange | ( | double | min,
|  | double | max,
|  | double | resolution
| ) |  |
| inline

Constructor.

Parameters

  min | Range lower end.
  max | Range higher end.
  resolution | Resolution of the range.

Definition at line 70 of file datarange.h.

## Member Function Documentation

## ◆ operator=()

DataRange & DataRange::operator= | ( | const DataRange & | origin | ) |
| inline

Assignment operator.

Parameters

  origin | Source object for assigment.

Definition at line 82 of file datarange.h.

## ◆ operator==()

bool DataRange::operator== | ( | const DataRange & | right | ) | const
| inline

Comparison operator.

Parameters

  right | object to compare to.

Returns
  comparison result.

Definition at line 96 of file datarange.h.

## Member Data Documentation

## ◆ max

double DataRange::max

Range higher end.

Definition at line 74 of file datarange.h.

## ◆ min

double DataRange::min

Range lower end.

Definition at line 73 of file datarange.h.

## ◆ resolution

double DataRange::resolution

Range resolution.

Definition at line 75 of file datarange.h.

The documentation for this class was generated from the following file:

- datatypes/datarange.h